Skip to main content
GET
Stream message events

Authorizations

Authorization
string
header
required

Your DUST API key is a Bearer token.

Path Parameters

wId
string
required

ID of the workspace

cId
string
required

ID of the conversation

mId
string
required

ID of the message

Response

SSE event stream. Each event is sent as data: {json}\n\n. Events are discriminated by the type field. Each event payload also includes a step integer.

Server-Sent Event for agent message streaming. Discriminated on the type field. Each event also includes a step integer.

type
enum<string>
required
Available options:
generation_tokens
created
integer
required
configurationId
string
required
messageId
string
required
text
string
required

The token(s) generated in this chunk

classification
enum<string>
required
Available options:
tokens,
chain_of_thought,
opening_delimiter,
closing_delimiter
delimiterClassification
string

Present when classification is opening_delimiter or closing_delimiter

step
integer